Subject: Re: bug#22600: 'Globally-Visible Packages' not shown by 'M-x guix-installed-packages'

From: Alex Kost <[email-masked]>
Date: Tue, 09 Feb 2016 00:58:08 +0300

myglc2 (2016-02-08 18:08 +0300) wrote:

> In guixSD, 'Globally-Visible Packages' packages installed accoding to
> '7.2.1 Using the Configuration System' are not shown by 'M-x
> guix-installed-packages' and are shown as uninstalled in the 'M-x
> guix-all-packages' 'list' buffers.

"M-x guix-installed-packages" shows the packages installed in a current
profile (which is ~/.guix-profile by default), the same way as "guix
package --list-installed" does.  You can prefix this command with C-u to
choose a profile you want.  See also (info "(guix) Emacs Commands").

If you want to look at the packages installed globally, you can run "M-x
guix-system-generations" and press RET on the latest generation (I think
for convenience we can add "M-x guix-system-packages" command).

-- 
Alex